using Siger.Middlelayer.Repository.Response;
using System.Collections.Generic;

namespace Siger.ApiDashboard.Result
{
    public class EditConditionListResult: CncResultBase
    {
        public string page_title { get; set; }

        public IList<StrIdTitle> project { get; set; }

        public Dictionary<string, Dictionary<string, Dictionary<string, object>>> data { get; set; }

        public EditConditionListResult()
        {
            project = new List<StrIdTitle>();
            data = new Dictionary<string, Dictionary<string, Dictionary<string, object>>>();
        }
    }

    public class StrIdTitle
    {
        public string id { get; set; }

        public string title { get; set; }
    }

    public class GetEditConditionListResult : CncResultBase
    {
        public string page_title { get; set; }

        public IList<StrIdTitle> project { get; set; }

        public List<ConditionList> data { get; set; } = new List<ConditionList>();

        public string page_code { get; set; }

        public GetEditConditionListResult()
        {
            project = new List<StrIdTitle>();
        }
    }

    public class ConditionList
    {
        public string page_patial_code { get; set; }

        public int condition_id { get; set; }

        public int typeId { get; set; }

        public List<int> condition { get; set; } = new List<int>();

        public string conditionStr { get; set; }

        public List<ResponseKeyValue> keyValues { get; set; } = new List<ResponseKeyValue>();
    }
}
